#include <bits/stdc++.h>

using namespace std;

int main()
{
    int t,n,nr;
    cin>>t;
    while(t--)
    {
        cin>>n;
        for(int i=1;i<=n;i++)
            cin>>nr;
        cout<<n-1<<" ";
        for(int i=0;i<n-1;i++)
            cout<<i<<" ";
        cout<<"\n";
    }
    return 0;
}
